﻿using System;

namespace Mirea.Api.Dto.Common;

/// <summary>
/// Represents a date or date range to skip during cron update scheduling.
/// </summary>
public class CronUpdateSkip
{
    /// <summary>
    /// Gets or sets the start date of the skip range.
    /// </summary>
    public DateOnly? Start { get; set; }

    /// <summary>
    /// Gets or sets the end date of the skip range.
    /// </summary>
    public DateOnly? End { get; set; }

    /// <summary>
    /// Gets or sets a specific date to skip.
    /// </summary>
    public DateOnly? Date { get; set; }
}