﻿namespace Mirea.Api.Dto.Common;

/// <summary>
/// Represents the password policy settings for user authentication.
/// </summary>
public class PasswordPolicy
{
    /// <summary>
    /// Gets or sets the minimum length required for a password.
    /// </summary>
    public int MinimumLength { get; set; }

    /// <summary>
    /// Gets or sets a value indicating whether at least one letter is required in the password.
    /// </summary>
    public bool RequireLetter { get; set; }

    /// <summary>
    /// Gets or sets a value indicating whether the password must contain both lowercase and uppercase letters.
    /// </summary>
    public bool RequireLettersDifferentCase { get; set; }

    /// <summary>
    /// Gets or sets a value indicating whether at least one digit is required in the password.
    /// </summary>
    public bool RequireDigit { get; set; }

    /// <summary>
    /// Gets or sets a value indicating whether at least one special character is required in the password.
    /// </summary>
    public bool RequireSpecialCharacter { get; set; }
}