﻿namespace Mirea.Api.Dto.Common;

/// <summary>
/// Represents the steps required after a login attempt.
/// </summary>
public enum TwoFactorAuthentication
{
    /// <summary>
    /// No additional steps required; the user is successfully logged in.
    /// </summary>
    None,

    /// <summary>
    /// TOTP (Time-based One-Time Password) is required for additional verification.
    /// </summary>
    TotpRequired,
}