﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Responses.Configuration;

/// <summary>
/// Represents the response containing the cron update schedule and the next scheduled task dates.
/// </summary>
public class CronUpdateScheduleResponse
{
    /// <summary>
    /// Gets or sets the cron expression representing the update schedule.
    /// </summary>
    [Required]
    public required string Cron { get; set; }

    /// <summary>
    /// Gets or sets the list of next scheduled task dates based on the cron expression.
    /// </summary>
    [Required]
    public required List<DateTime> NextStart { get; set; }
}