﻿using Microsoft.OpenApi.Any;
using Microsoft.OpenApi.Models;
using Swashbuckle.AspNetCore.SwaggerGen;
using System;
using System.Linq;

namespace Mirea.Api.Endpoint.Configuration.SwaggerOptions;

public class EnumSchemaFilter : ISchemaFilter
{
    public void Apply(OpenApiSchema schema, SchemaFilterContext context)
    {
        if (!context.Type.IsEnum)
            return;

        schema.Enum.Clear();

        var enumValues = Enum.GetNames(context.Type)
            .Select(name => new OpenApiString(name))
            .ToList();

        foreach (var value in enumValues)
            schema.Enum.Add(value);

        schema.Type = "string";
        schema.Format = null;
    }
}